- [x] Backup
  - [x] Important Files
    - [x] Run `Backup.ps1`-script, which backups following files:
      - [x] Public
      - [x] Documents
      - [x] Downloads
      - [x] Music
      - [x] Pictures
      - [x] Videos
      - [x] VirtualBox VMs
      - [x] `.gitconfig`
      - [x] TMNF
      - [x] TMUF
      - [x] MP
      - [x] Osu! Beatmaps
      - [x] LGHUB Settings `%LOCALAPPDATA%/LGHUB`
        - [x] `settings.db`
        - [x] `icon_cache`
      - [x] Putty
        - [x] Export:  
              ```ps
              reg export HKCU\Software\SimonTatham "./putty.reg"
              ```
      - [x] Visual Studio
        - [x] Export installer settings to `./.vsconfig`
    - [x] Browser Tabs using FreshStart
      - [x] Brave
      - [x] Brave Beta
      - [x] Brave Nightly
  - [x] Software-Liste
- [ ] Set Up PC
  - [x] Install Windows 11 Pro
    - [x] Skip license key
    - [x] Wipe main drive
    - [x] Install Windows to main drive
    - [x] Create offline user called "Admin"
  - [x] Prepare Windows
    - [x] Choose "Yes" when being prompt for installing Armoury Crate
    - [x] Add microsoft user using mail address
    - [x] Change username of new user in "Computer Management"
    - [x] Add "Administrators" group
    - [x] Logout
    - [x] Login with new user
    - [x] Wait for settings to sync
    - [x] Remove "Admin" user in settings app
- [ ] Install Programs
  - [ ] Important
    - [x] Brave
      - [x] Restore Brave Tabs
    - [x] Brave Beta
      - [x] Restore "DerGeret Beta"
    - [x] Brave Nightly
      - [x] Restore "DerGeret Nightly"
    - [x] [PowerShell installieren](https://aka.ms/powershell-release?tag=stable)
    - [x] Visual Studio 2019 Enterprise
      - [x] Load config from `./.vsconfig`
    - [x] Chocolatey
      - [x] PS Profile erstellen:
            ```ps
            New-Item -Force $PROFILE
            ```
      - [x] Configure PowerShell ExecutionPolicy:  
            ```ps
            Set-ExecutionPolicy Unrestricted
            ```
      - [x] Chocolatey installieren
      - [x] php
      - [x] procexp
      - [x] procmon
    - [x] Node.js
    - [x] VSCode
      - [x] Check "Open With Code"
      - [x] Turn On Settings Sync
      - [x] Install Java Adoptium
      - [x] Install Gradle
    - [x] VSCode Insiders
      - [x] Check "Open With Code"
      - [x] Turn On Settings Sync
    - [x] Bitwarden
    - [x] 7-Zip
      - [x] Execute 7zip as admin
      - [x] Add file-association to all unassigned file-types
    - [x] HxD
    - [x] ImHex installiere
    - [x] Nextcloud
    - [x] Git
      - [x] Enable daily update
      - [x] Add Windows Terminal Profile
      - [x] Enable File-System Watcher
    - [x] GitHub CLI
    - [x] Github Desktop
  - [ ] Drivers
    - [x] ASUS ROG Zenith Extreme Alpha Drivers
      - [x] Network Drivers
        - [x] Aquanita
        - [x] Intel Gigabit Ethernet
        - [x] WiFi Driver
      - [x] Chipset Driver
      - [x] Audio Driver
        - [x] Change Service `Nahimic service` from `Automatisch` to `Deaktiviert`
        - [x] Stop service `Nahimic service`
      - [x] Bluetooth Driver
      - [x] ASUS ROG CPU-Z
    - [x] Corsair H115i RGB Platinum & Dominator Platinum Drivers
      - [x] iCUE
    - [x] NVidia Graphics Drivers
    - [x] AMD Ryzen Threadripper 2950X Drivers
      - [x] AMD Ryzen Master
        1. [x] IDA Free
        2. [x] Edit Ryzen Master as seen in <https://github.com/microsoft/WSL/issues/4771#issuecomment-593633375>
    - [x] ASUS BW-16D1HT/G Drivers
    - [x] Logitech G Hub
    - [x] Predator Z301C Drivers
      - [x] Tobii Eye Tracking
    - [x] Wave:3 Drivers
    - [x] Intel 660p - Retail Drivers
  - [ ] General
    - [x] ProtonVPN
    - [x] ProtonMail Bridge
    - [x] Thunderbird
    - [x] EasyBCD
    - [x] devolo Cockpit
    - [x] Sonos Controller
    - [x] YTMDesktop
    <!-- - [ ] Google Play Music Desktop Player
      - [ ] Custom Color
        - [ ] Dark
        - [ ] #FF5500
      - [ ] Playback-API
      - [ ] System Window Border
      - [ ] Windows 10 System Media Service
      - [ ] Discord Rich Presence -->
    - [x] Putty
    - [x] WinSCP
    - [x] XMedia Recode
    - [x] Discord
    - [x] Threema
    - [x] Signal
    - [x] Element
    - [x] GIMP
    - [x] WSL2
      - [x] Docs: <https://docs.microsoft.com/en-us/windows/wsl/install-win10>
      - [x] Ubuntu
    <!-- - [ ] VirtualBox
      - [ ] Disable Desktop Icon
      - [ ] Disable Quick Launch Item -->
    - [x] Docker Desktop
    - [x] CPUID HWMonitor
    - [x] TechPowerUp GPU-Z
    - [x] JDownloader 2
    - [x] reWASD
    - [x] TeamSpeak 3 Client
    - [x] balenaEtcher
    - [x] VLC Media Player
    - [x] K-Lite Mega Codec Pack
    - [x] Microsoft Office Professional Plus
      - [x] Downloads on NextCloud
      - [x] `KMS_VL_ALL` on mydigitallife
  - [ ] Games
    - [x] osu!
      - [ ] Create iCUE Profile
        - [x] Graphics Card: #FF0033
        - [x] Motherboard: #FF0066
        - [x] Corsair-HW: #FF00FF
      <!-- - [ ] Create Logitech Profile
        - [ ] Default: #00FFFF
        - [ ] osu!: #FF003F
        - [ ] Keyboard
          - [ ] osu!: #FF006C
          - [ ] G-Keys/Arrows: #00FFFF
          - [ ] Special: #00FF00
          - [ ] Functional: #FFBF00
          - [ ] Drum Rim: #0093FF
          - [ ] Drum Center: #FD4700
          - [ ] Smoke: #FFFFFF -->
    - [x] PPSSPP Gold
    - [x] Dolphin
    - [x] Final Fantasy XIV
    - [x] TMNationsForever
    - [x] TMUnitedForever
    - [x] ManiaPlanet
    - [x] Minecraft
    - [x] Steam
    - [x] Ubisoft Connect
    - [x] Epic Games Launcher
    - [x] Origin
    - [ ] GOG
      - [ ] Link all Accounts
        - [x] Epic Games Store
        - [x] Xbox Live
        - [x] Origin
        - [x] PlayStation Network
        - [x] Steam
        - [x] Ubisoft Connect
        - [x] Final Fantasy XIV Char ID 14833587
        - [x] Minecraft
      - [ ] Install Games
        - [ ] GOG
          - [x] Asterix & Obelix XXL
          - [x] Asterix & Obelix XXL 2
          - [x] Asterix & Obelix XXL 3
          - [x] Die Siedler II
            - [x] Install German Patch
            - [x] Install Vikings
          - [x] Rayman Forever
          - [x] Rayman 2
          - [ ] Rayman 3
            - [x] Rayman Control Panel
            - [x] Better Rayman 3
            - [x] HD Textures
            - [x] Synchronize Textures
          - [x] Far Cry
        - [ ] Fav
          - [x] Assassin's Creed II
          - [x] Death Stranding
          - [x] Forza Horizon 4
          - [x] Save Jesus
          - [x] LIMBO
          - [x] Super Hexagon
          - [x] Screencheat
          - [x] Shenzen I/O
          - [x] TIS-100
          - [x] The Impossible Game
          - [x] BattleBlock Theater
          - [x] Cuphead
          - [x] Deadpool
          - [x] DuckTales Remastered
          - [x] Far Cry 3 Blood Dragon
          - [x] Hell Yeah
          - [x] I am Setsuna
          - [x] LEGO Star Wars
          - [x] LEGO Indiana Jones
          - [x] LEGO Movie - The Game
          - [x] Phoenix Wright
          - [x] Pivvot
          - [x] Rise of the Tomb Raider
          - [x] Rising World
          - [x] Sonic Generations
          - [x] Sonic Colors: Ultimate
          - [x] KH 1.5-2.5
          - [x] Terraria
          - [x] The Beginner's Guide
          - [x] The Messenger
          - [x] The Night of the Rabbit
          - [x] The Stanley Parable
          - [x] Chrono Trigger
          - [x] Wonderful 101
          - [x] Undertale
          - [x] Thief
          - [x] Thief Gold
          - [x] Thief Deadly Shadows
          - [x] 1954 Alcatraz
          <!-- - [ ] ARK: Survival Evolved -->
          <!-- - [ ] Assassin's Creed
            - [ ] [Widescreen fix](https://www.pcgamingwiki.com/wiki/Assassin%27s_Creed) -->
          - [x] Back to the Future: Ep 1
          - [x] Crazy Taxi
          - [x] Dream
          - [x] HALO Master Chief
          - [x] Deponia
          - [x] Deponia: Complete Journy
          - [x] Dishonored
          - [x] Micky Epic 2
          - [x] G-Force
          - [x] Geometry Dash
          - [x] Life is Strange: Before the Storm
          - [x] Life is Strange
          - [x] Life is Strange 2
          - [x] Just Cause
          - [x] NieR: Automata
          - [x] Okami HD
          - [x] Ori and the Blind Forest
          - [x] Ori and the Blind Forest: Definitive Edition
          - [x] Portal
          - [x] Steins;Gate
          - [x] TM Turbo
          - [x] Trials of the Blood Dragon
          - [x] Hatoful Boyfriend
          - [x] ZanZarah
            - [ ] dgVoodoo installieren
        - [ ] Optional
          - [ ] 11-11 Memories Retold
          - [ ] A Bird Story
          - [ ] AppGameKit
          - [x] Batman: Arkham Asylum
          - [ ] Brothers
          - [ ] Castle Crashers
          - [ ] Deus Ex: GOTY
          - [ ] FNAF
          - [ ] Forgotten Anne
          - [ ] Goat Simulator
          - [ ] GRID
          - [ ] Mad Max
          - [x] Mega Man Legacy
          - [ ] Octopath Traveler
          - [ ] Planet Coaster
          - [ ] PUBG
          - [ ] Rick and Morty
          - [ ] Sleeping Dogs
          - [ ] Sonic Forces
          - [ ] Sonic Lost World
          - [x] Sonic Mania
          - [x] Sonic 4 Ep 1
          - [x] Sonic 4 Ep 2
          - [x] Sonic Colors Ultimate
          - [ ] Steep
          - [ ] Surgeon Simulator
          - [ ] Sword Art Online
          - [ ] Tales from the Borderlands
          - [ ] The Forest
          - [ ] The Park
          - [ ] Whispered World
          - [x] Wolfenstein
          - [ ] TimeShift
          - [ ] Tony Hawk's Pro Skater HD
          - [ ] VVVVVV
          - [ ] White Night
          - [ ] Max Payne
          - [x] Neighbors from Hell
          - [x] Neighbors back from Hell
    - [x] Spider-Man FoF
      - [x] [Fixed Exe](https://gamecopyworld.com/games/pc_spiderman_friend_or_foe.shtml)
    - [x] M&Ms The Lost Formulas (in Downloads folder)
      - [x] [Fixed Exe](https://www.gamecopyworld.com/games/pc_mm.shtml)
      - [x] Copy DATA directory from disk
    - [x] RetroArch
      - [x] Download Cores
        - [x] NXEngine
        - [x] Nintendo 3DS Citra
        - [x] Nintendo DS melonDS
        - [x] Nintendo GB(C) Gamebatte
        - [x] Nintendo GBA mGBA
        - [x] Nintendo Wii/GameCube Dolphin
        - [x] Nintendo NES
        - [x] Nintendo 64 ParaLLEl N64
        - [x] Sony PlayStation Beetle PSX
        - [x] Sony PlayStation 2
        - [x] Sony PSP
  - [ ] Add NextCloud Syncs
    <!-- - [ ] `Saved Games/Assassin's Creed` => `%APPDATA%/Ubisoft/Assassin's Creed/Saved Games` -->
    - [x] `Saved Games/Rayman 3: Hoodlum's Havoc` => `%PROGRAMFILES(X86)%/GOG Galaxy/Games/Rayman 3/GAMEDATA/SaveGame`
    - [x] `Saved Games/RetroArch/Saves` => `C:/RetroArch-Win64/saves`
    - [x] `Saved Games/RetroArch/System` => `C:/RetroArch-Win64/system`
  - [x] Run `./Restore.ps1`
  - [ ] Others
    - [ ] Sony Vegas from HumbleBundle
    - [ ] OBS Studio
    - [ ] VIVE Drivers
  - [x] Work
    - [x] Remote-Zugang gemäss PDF `./Remote-Zugang.pdf`
  - [ ] Optional
    - [ ] ImgBurn
