#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

source "../../Debian/Software/rclone/install.sh";

# Install Brave
source "../../Debian/Software/Brave/install-stable.sh";
source "../../Debian/Software/Brave/install-beta.sh";
# source "../../Debian/Software/Brave/install-nightly.sh";

BROWSER_BIN="brave-browser" \
EXTENSION_DIR=/usr/share/brave-extensions \
EXTENSION_POLICY_DIR=/opt/brave.com/brave/extensions \
    source "../../Common/Config/Chromium/install-ytmusic-dl.sh";

source "../../Debian/Software/Google Chrome/install.sh";

# Install further software
source "../../Common/Software/Oh My Posh/install.sh";
source "../../Debian/Software/git/install.sh";
source "../../Debian/Software/logo-ls/install.sh";
source "../../Debian/Software/VSCodium/install.sh";
source "../../Debian/Software/Visual Studio Code/install.sh";
source "../../Common/Software/NVS/install.sh";
source "../../Debian/Software/Python/install.sh";
source "../../Common/Software/pyenv/install.sh";
source "../../Common/Software/pipenv/install.sh";
source "../../Common/Software/tea/install.sh";
source "../../Common/Software/Godot/install.sh";
source "../../Debian/Software/Virtual Machine Manager/install.sh";
source "../../Common/Software/Woodpecker CLI/install.sh";

source "../../Common/Config/git/install.sh";

# Install General Packages from APT
source "../../Debian/Software/common-apt/install.sh";

# Install other flatpaks
flatpak install -y flathub com.bitwarden.desktop;
flatpak install -y flathub org.signal.Signal;
flatpak install -y flathub com.usebottles.bottles;
flatpak install -y flathub com.mattjakeman.ExtensionManager;
flatpak install -y flathub com.github.wwmm.easyeffects;
flatpak install -y flathub ch.threema.threema-web-desktop;
flatpak install -y flathub app.ytmdesktop.ytmdesktop;
flatpak install -y flathub com.github.tchx84.Flatseal;
popd > /dev/null;
